#ifndef _LoadJPEG_H_
#define _LoadJPEG_H_
#include <rom/tjpgd.h> //TJpgDec (C)ChaN, 2012
#include <FS.h>

typedef struct {
  const void *fp; /* File pointer for input function */
  BYTE *fbuf;     /* Pointer to the frame buffer for output function */
  UINT wfbuf;     /* Width of the frame buffer [pix] */
} IODEV;

class LoadJPEG
{
  private:
    uint16_t width_bmp ;
    uint16_t height_bmp ;

  public:
    LoadJPEG( ) ;
    ~LoadJPEG( ) ;
    void initBuff( ) ;
    void overLayImage( ) ;
    void overLayImage2( ) ;
    void makePanelImage( ) ;
    bool LoadImage(char *fileName) ;
    BYTE *imageBuff;
    BYTE *panelBuff;
    BYTE *panelPtr[16] ;
} ;
#endif
