#ifndef _TouchPanel_H_
#define _TouchPanel_H_

#include <arduino.h>
#define STAT_TOUCH    0
#define STAT_STREAM   1
#define STAT_RELEASE  2

typedef struct touchPanel_t {
  uint8_t stat ;
  uint16_t x ;
  uint16_t y ;
} tpData_t ;

class TouchPanel {
  private:
    tpData_t tpData[2] ;
    void setPos(uint16_t x,uint16_t y) ;

  public:
    TouchPanel( ) ;
    bool readPoint( ) ;
    void resetPos( ) ;

    int BTN ;
    int POSSTAT ;
    int POSX ;
    int POSY ;
} ;

#endif
