#include <Wire.h>
#include "AXP192.h"
#include "i2cRW.h"
#define I2C_ADDR_AXP192         0x34

// コンストラクタ
AXP192::AXP192( ) {
  initPower( ) ;
  setBreath(0xD4) ;
}

void AXP192::initPower( ) {
  WriteByte(I2C_ADDR_AXP192 , 0x12, 0x77);
}

void AXP192::setBreath(uint8_t val) {
  WriteByte(I2C_ADDR_AXP192 , 0x27, val);
}
