/*
 * ILI9342C  
 *  
 */
#ifndef _ILI9342C_H_
#define _ILI9342C_H_
#include <arduino.h>

class ILI9342C
{

  public:
    void init() ;
    void lcd_init() ;
    void screenDir(int dir) ;
    void dispBitMap(uint16_t startX , uint16_t startY , uint16_t width, uint16_t hight, uint8_t bitMap[]) ;
    void fill(uint16_t xs,uint16_t ys,uint16_t xe,uint16_t ye,uint16_t color) ;
    void fillScreen(uint16_t color) ;

    void tftSendCommand(uint8_t command) ;
    void tftSendCommand1(uint8_t command, uint8_t data1) ;
    void tftSendCommand2(uint8_t command, uint8_t data1, uint8_t data2) ;
    void tftSendCommand3(uint8_t command, uint8_t data1, uint8_t data2, uint8_t data3) ;
    void tftSendCommand4(uint8_t command, uint8_t data1, uint8_t data2, uint8_t data3, uint8_t data4) ;
    void tftSendCommand5(uint8_t command, uint8_t data1, uint8_t data2, uint8_t data3, uint8_t data4, uint8_t data5) ;
    uint8_t tftReadCommand(uint8_t command) ;

} ;
#endif
