#include <Wire.h>

// 1バイト受信
uint8_t ReadByte(uint8_t i2cAddr , uint8_t addr) {
  Wire1.beginTransmission(i2cAddr);
  Wire1.write(addr);
  Wire1.endTransmission();
  Wire1.requestFrom(i2cAddr, 1);
  while (Wire1.available() < 1) ;
  uint8_t val = Wire1.read();
  return val;
}

// 2バイト受信
uint16_t Read2Bytes(uint8_t i2cAddr , uint8_t addr) {
  Wire1.beginTransmission(i2cAddr);
  Wire1.write(addr);
  Wire1.endTransmission();
  Wire1.requestFrom(i2cAddr, 2);
  while (Wire1.available() < 2) ;
  uint8_t valH = Wire1.read();
  uint8_t valL = Wire1.read();
  return valH << 8 | valL ;
}

// 1バイト送信
void WriteByte(uint8_t i2cAddr , uint8_t addr, uint8_t data) {
  Wire1.beginTransmission(i2cAddr);
  Wire1.write(addr);
  Wire1.write(data);
  Wire1.endTransmission();
}
